---
title: 'Link types: modulepreload'
slug: Web/HTML/Link_types/modulepreload
tags:
  - Attribute
  - HTML
  - Link
  - Link types
  - Reference
---
<p><span class="seoSummary">The <strong><code>modulepreload</code></strong> keyword for the {{HTMLAttrxRef("rel", "link")}} attribute of the {{HTMLElement("link")}} element provides a declarative way to preemptively fetch a <a href="/en-US/docs/Web/JavaScript/Guide/Modules">module script</a> and its dependencies, and store them in the document's module map for later evaluation.</span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#link-type-modulepreload", "modulepreload")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.link.rel.modulepreload")}}</p>
